<?php

$this->start_controls_section(
    'content_section',
    [
        'label' => __('Content', 'ostech-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$gallery_images = new \Elementor\Repeater();

$gallery_images->add_control(
    'image',
    [
        'label' => __('Add Image', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$gallery_images->add_control(
    'icon',
    [
        'label' => __('Icon', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'gallery-one__card__icon',
            'library' => 'font-awesome',
        ],
    ]
);

$this->add_control(
    'gallery_images',
    [
        'label' => __('Gallery Items', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $gallery_images->get_controls(),
    ]
);

$this->end_controls_section();
